CADVISOR(1)

NAME
cAdvisor - manual page for cAdvisor version 0.38.7+ds1 (0.38.7+ds1-1)

DESCRIPTION

  Usage of /usr/bin/cadvisor:

-add_dir_header

    If true, adds the file directory to the header of the log messages

-allow_dynamic_housekeeping

    Whether to allow the housekeeping interval to be dynamic (default true)

-alsologtostderr

    log to standard error as well as files

-application_metrics_count_limit int

    Max number of application metrics to store (per container) (default 100)

-boot_id_file string

    Comma-separated list of files to check for boot-id. Use the first one that exists. (default "/proc/sys/kernel/random/boot_id")

-bq_account string

    Service account email

-bq_credentials_file string

    Credential Key file (pem)

-bq_id string

    Client ID

-bq_project_id string

    Bigquery project ID

-bq_secret string

    Client Secret (default "notasecret")

-collector_cert string

    Collector's certificate, exposed to endpoints for certificate based authentication.

-collector_key string

    Key for the collector's certificate

-container_hints string

    location of the container hints file (default "/etc/cadvisor/container_hints.json")

-containerd string

    containerd endpoint (default "/run/containerd/containerd.sock")

-containerd-namespace string

    containerd namespace (default "k8s.io")

-disable_metrics metrics

    comma-separated list of metrics to be disabled. Options are 'accelerator', 'cpu_topology','disk', 'diskIO', 'memory_numa', 'network', 'tcp', 'udp', 'percpu', 'sched', 'process', 'hugetlb', 'referenced_memory', 'resctrl'. (default memory_numa,sched,hugetlb,referenced_memory,cpu_topology,resctrl,tcp,udp,advtcp,process)

-disable_root_cgroup_stats

    Disable collecting root Cgroup stats

-docker string

    docker endpoint (default "unix:///var/run/docker.sock")

-docker-tls

    use TLS to connect to docker

-docker-tls-ca string

    path to trusted CA (default "ca.pem")

-docker-tls-cert string

    path to client certificate (default "cert.pem")

-docker-tls-key string

    path to private key (default "key.pem")

-docker_env_metadata_whitelist string

    a comma-separated list of environment variable keys matched with specified prefix that needs to be collected for docker containers

-docker_only

    Only report docker containers in addition to root stats

-docker_root string

    DEPRECATED: docker root is read from docker info (this is a fallback, default: /var/lib/docker) (default "/var/lib/docker")

-enable_load_reader

    Whether to enable cpu load reader

-event_storage_age_limit string

    Max length of time for which to store events (per type). Value is a comma separated list of key values, where the keys are event types (e.g.: creation, oom) or "default" and the value is a duration. Default is applied to all non-specified event types (default "default=24h")

-event_storage_event_limit string

    Max number of events to store (per type). Value is a comma separated list of key values, where the keys are event types (e.g.: creation, oom) or "default" and the value is an integer. Default is applied to all non-specified event types (default "default=100000")

-global_housekeeping_interval duration

    Interval between global housekeepings (default 1m0s)

-housekeeping_interval duration

    Interval between container housekeepings (default 1s)

-http_auth_file string

    HTTP auth file for the web UI

-http_auth_realm string

    HTTP auth realm for the web UI (default "localhost")

-http_digest_file string

    HTTP digest file for the web UI

-http_digest_realm string

    HTTP digest file for the web UI (default "localhost")

-listen_ip string

    IP to listen on, defaults to all IPs

-log_backtrace_at value

    when logging hits line file:N, emit a stack trace

-log_cadvisor_usage

    Whether to log the usage of the cAdvisor container

-log_dir string

    If non-empty, write log files in this directory

-log_file string

    If non-empty, use this log file

-log_file_max_size uint

    Defines the maximum size a log file can grow to. Unit is megabytes. If the value is 0, the maximum file size is unlimited. (default 1800)

-logtostderr

    log to standard error instead of files (default true)

-machine_id_file string

    Comma-separated list of files to check for machine-id. Use the first one that exists. (default "/etc/machine-id,/var/lib/dbus/machine-id")

-max_housekeeping_interval duration

    Largest interval to allow between container housekeepings (default 1m0s)

-max_procs int

    max number of CPUs that can be used simultaneously. Less than 1 for default (number of cores).

-mesos_agent string

    Mesos agent address (default "127.0.0.1:5051")

-mesos_agent_timeout duration

    Mesos agent timeout (default 10s)

-perf_events_config string

    Path to a JSON file containing configuration of perf events to measure. Empty value disabled perf events measuring.

-port int

    port to listen (default 8080)

-profiling

    Enable profiling via web interface host:port/debug/pprof/

-prometheus_endpoint string

    Endpoint to expose Prometheus metrics on (default "/metrics")

-raw_cgroup_prefix_whitelist string

    A comma-separated list of cgroup path prefix that needs to be collected even when -docker_only is specified

-referenced_reset_interval uint

    Reset interval for referenced bytes (container_referenced_bytes metric), number of measurement cycles after which referenced bytes are cleared, if set to 0 referenced bytes are never cleared (default: 0)

-skip_headers

    If true, avoid header prefixes in the log messages

-skip_log_headers

    If true, avoid headers when opening log files

-stderrthreshold value

    logs at or above this threshold go to stderr (default 2)

-storage_driver driver

    Storage driver to use. Data is always cached shortly in memory, this controls where data is pushed besides the local cache. Empty means none, multiple separated by commas. Options are: <empty>, bigquery, elasticsearch, kafka, redis, statsd, stdout

-storage_driver_buffer_duration duration

    Writes in the storage driver will be buffered for this duration, and committed to the non memory backends as a single transaction (default 1m0s)

-storage_driver_db string

    database name (default "cadvisor")

-storage_driver_es_enable_sniffer

    ElasticSearch uses a sniffing process to find all nodes of your cluster by default, automatically

-storage_driver_es_host string

    ElasticSearch host:port (default "http://localhost:9200")

-storage_driver_es_index string

    ElasticSearch index name (default "cadvisor")

-storage_driver_es_type string

    ElasticSearch type name (default "stats")

-storage_driver_host string

    database host:port (default "localhost:8086")

-storage_driver_kafka_broker_list string

    kafka broker(s) csv (default "localhost:9092")

-storage_driver_kafka_ssl_ca string

    optional certificate authority file for TLS client authentication

-storage_driver_kafka_ssl_cert string

    optional certificate file for TLS client authentication

-storage_driver_kafka_ssl_key string

    optional key file for TLS client authentication

-storage_driver_kafka_ssl_verify

    verify ssl certificate chain (default true)

-storage_driver_kafka_topic string

    kafka topic (default "stats")

-storage_driver_password string

    database password (default "root")

-storage_driver_secure

    use secure connection with database

-storage_driver_table string

    table name (default "stats")

-storage_driver_user string

    database username (default "root")

-storage_duration duration

    How long to keep data stored (Default: 2min). (default 2m0s)

-store_container_labels

    convert container labels and environment variables into labels on prometheus metrics for each container. If flag set to false, then only metrics exported are container name, first alias, and image name (default true)

-update_machine_info_interval duration

    Interval between machine info updates. (default 5m0s)

-url_base_prefix string

    prefix path that will be prepended to all paths to support some reverse proxies

-v value

    number for the log level verbosity

-version

    print cAdvisor version and exit

-vmodule value

    comma-separated list of pattern=N settings for file-filtered logging

-whitelisted_container_labels string

    comma separated list of container labels to be converted to labels on prometheus metrics for each container. store_container_labels must be set to false for this to take effect.